[svn] r3551 - in trunk/rpms: arpd bittorrent centericq dnsmasq dstat gtksql libxml2 ne op perl-Compress-Zlib pfqueue pv revelation rsnapshot syslinux vorbisgain

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Mon Sep 5 02:25:49 CEST 2005


Author: dag
Date: 2005-09-05 02:25:47 +0200 (Mon, 05 Sep 2005)
New Revision: 3551

Added:
   trunk/rpms/revelation/revelation-0.4.5-bonobo-ui.patch
Modified:
   trunk/rpms/arpd/arpd.spec
   trunk/rpms/bittorrent/bittorrent.spec
   trunk/rpms/centericq/centericq.spec
   trunk/rpms/dnsmasq/dnsmasq.spec
   trunk/rpms/dstat/dstat.spec
   trunk/rpms/gtksql/gtksql.spec
   trunk/rpms/libxml2/libxml2.spec
   trunk/rpms/ne/ne.spec
   trunk/rpms/op/op.spec
   trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec
   trunk/rpms/pfqueue/pfqueue.spec
   trunk/rpms/pv/pv.spec
   trunk/rpms/revelation/revelation.spec
   trunk/rpms/rsnapshot/rsnapshot.spec
   trunk/rpms/syslinux/syslinux.spec
   trunk/rpms/vorbisgain/vorbisgain.spec
Log:
Updates

Modified: trunk/rpms/arpd/arpd.spec
===================================================================
--- trunk/rpms/arpd/arpd.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/arpd/arpd.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -10,7 +10,7 @@
 URL: http://www.citi.umich.edu/u/provos/arpd/
 
 Source: http://www.citi.umich.edu/u/provos/honeyd/arpd-%{version}.tar.gz
-Patch: arpd-0.2-function.patch
+Patch: arpd-0.2-gcc4.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 BuildRequires: libdnet, libevent-devel, libpcap
@@ -23,7 +23,7 @@
 
 %prep
 %setup -n %{name}
-%patch0
+%patch0 -p1
 
 %{__perl} -pi.orig -e 's|/lib/|/%{_lib}/|g' configure
 
@@ -45,6 +45,9 @@
 %{_sbindir}/arpd
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 0.2-2
+- Fixed a problem with gcc4. (Francisco Monserrat)
+
 * Thu Jan 20 2005 Dag Wieers <dag at wieers.com> - 0.2-1
 - Fixed a problem with newer gcc.
 

Modified: trunk/rpms/bittorrent/bittorrent.spec
===================================================================
--- trunk/rpms/bittorrent/bittorrent.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/bittorrent/bittorrent.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -12,8 +12,8 @@
 
 Summary: Network file transfer tool
 Name: bittorrent
-Version: 4.1.2
-Release: 1
+Version: 4.1.4
+Release: 2
 License: BitTorrent Open Source License
 Group: Applications/Internet
 URL: http://bittorrent.com/
@@ -24,7 +24,7 @@
 BuildArch: noarch
 BuildRequires: python-devel >= 2.3, pygtk2-devel >= 2.4
 %{!?_without_freedesktop:BuildRequires: desktop-file-utils}
-Requires: python >= 2.3, python-khashmir
+Requires: python >= 2.3, python-khashmir, python-crypto
 Obsoletes: BitTorrent <= %{version}
 
 %description
@@ -60,7 +60,7 @@
 [Desktop Entry]
 Name=BitTorrent Transfer Tool
 Comment=Download files from the Internet
-Exec=btdownloadgui.py
+Exec=bittorrent
 Icon=bittorrent.png
 Terminal=false
 Type=Application
@@ -79,7 +79,7 @@
 	--skip-build \
 	--root "%{buildroot}"
 %find_lang %{name}
-%{__perl} -pi -e 's|env python2|env python|' %{buildroot}%{_bindir}/*.py
+%{__perl} -pi -e 's|env python2|env python|' %{buildroot}%{_bindir}/*
 
 %if %{?_without_freedesktop:1}0
 	%{__install} -Dp -m0644 bittorrent.desktop %{buildroot}%{_datadir}/gnome/apps/Internet/bittorrent.desktop
@@ -105,27 +105,32 @@
 %files -f %{name}.lang
 %defattr(-, root, root, 0755)
 %doc *.html *.txt
-%{_bindir}/*.py
-%exclude %{_bindir}/btdownloadgui.py
+%{_bindir}/*
+%exclude %{_bindir}/bittorrent
 %{python_sitelib}/BitTorrent/
 %{_datadir}/pixmaps/BitTorrent-%{version}/
-#exclude %{_docdir}/BitTorrent-%{version}/
+%exclude %{_docdir}/BitTorrent-%{version}/
 
 %files gui
 %defattr(-, root, root, 0755)
-%{_bindir}/btdownloadgui.py
+%{_bindir}/bittorrent
 %{_datadir}/pixmaps/bittorrent.png
 %{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}-bittorrent.desktop}
 %{?_without_freedesktop:%{_datadir}/gnome/apps/Internet/bittorrent.desktop}
 
-
 %files -n python-khashmir
 %defattr(-, root, root, 0755)
 %{python_sitelib}/khashmir/
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 4.1.4-2
+- Added python-crypto dependency. (Jim Perrin, Petr Klíma)
+
+* Sat Aug 27 2005 Dries Verachtert <dries at ulyssis.org> - 4.1.4-1
+- Update to release 4.1.4.
+
 * Thu Jun 23 2005 Dries Verachtert <dries at ulyssis.org> - 4.1.2-1
-- Update to release 4.1.2.
+- Updated to release 4.1.2.
 
 * Sun May 29 2005 Dag Wieers <dag at wieers.com> - 4.1.1-2
 - Small fix for About to work.

Modified: trunk/rpms/centericq/centericq.spec
===================================================================
--- trunk/rpms/centericq/centericq.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/centericq/centericq.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -3,7 +3,7 @@
 
 Summary: Console ncurses based ICQ2000, Yahoo!, MSN, AIM, IRC client
 Name: centericq
-Version: 4.20.0
+Version: 4.21.0
 Release: 1
 License: GPL
 Group: Applications/Internet
@@ -53,6 +53,9 @@
 %{_datadir}/centericq/
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 4.21.0-1
+- Updated to release 4.21.0.
+
 * Fri Mar 25 2005 Dag Wieers <dag at wieers.com> - 4.20.0-1
 - Updated to release 4.20.0.
 

Modified: trunk/rpms/dnsmasq/dnsmasq.spec
===================================================================
--- trunk/rpms/dnsmasq/dnsmasq.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/dnsmasq/dnsmasq.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -4,7 +4,7 @@
 
 Summary: Lightweight caching nameserver with integrated DHCP server
 Name: dnsmasq
-Version: 2.22
+Version: 2.23
 Release: 1
 License: GPL
 Group: System Environment/Daemons
@@ -156,6 +156,9 @@
 %{_localstatedir}/lib/misc/
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 2.23-1
+- Updated to release 2.23.
+
 * Fri Apr 01 2005 Dag Wieers <dag at wieers.com> - 2.22-1
 - Updated to release 2.22.
 

Modified: trunk/rpms/dstat/dstat.spec
===================================================================
--- trunk/rpms/dstat/dstat.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/dstat/dstat.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -9,7 +9,7 @@
 
 Summary: Versatile resource statistics tool
 Name: dstat
-Version: 0.6.0
+Version: 0.6.1
 Release: 1
 License: GPL
 Group: System Environment/Base
@@ -19,8 +19,8 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 BuildArch: noarch
-Requires: python
 BuildRequires: python
+Requires: python
 
 %description
 Dstat is a versatile replacement for vmstat, iostat, netstat and ifstat.
@@ -37,20 +37,6 @@
 indicates in what magnitude and unit the output is displayed. Less
 confusion, less mistakes.
 
-Dstat is unique in letting you aggregate block device throughput for
-a certain diskset or networkset, ie. you can see the throughput for
-all the block devices that make up a single filesystem or storage
-system.
-
-You can write your own dstat plugins to monitor whatever you like in
-just a few minutes based on provided examples and a little bit of
-Python knowledge.
-
-Dstat's output by default is designed for being interpreted by humans
-in real-time, however the new CSV output allows you to store CSV
-output in detail to a file to be imported later into Gnumeric or Excel
-to generate graphs.
-
 %prep
 %setup
 
@@ -68,13 +54,15 @@
 %files
 %defattr(-, root, root, 0755)
 %doc AUTHORS ChangeLog COPYING README* TODO examples/ *.conf
-#%doc *.conf
 %doc %{_mandir}/man1/dstat.1*
 #%config(noreplace) %{_sysconfdir}/dstat.conf
 %{_bindir}/dstat
 %{_datadir}/dstat/
 
 %changelog
+* Mon Sep 05 2005 Dag Wieers <dag at wieers.com> - 0.6.1-1
+- Updated to release 0.6.1.
+
 * Sun May 29 2005 Dag Wieers <dag at wieers.com> - 0.6.0-1
 - Updated to release 0.6.0.
 

Modified: trunk/rpms/gtksql/gtksql.spec
===================================================================
--- trunk/rpms/gtksql/gtksql.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/gtksql/gtksql.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -7,7 +7,7 @@
 Summary: Graphical database query tool for MySQL and PostgreSQL
 Name: gtksql
 Version: 0.4.2
-Release: 1
+Release: 2
 License: GPL
 Group: Applications/Databases
 URL: http://gtksql.sourceforge.net/
@@ -35,6 +35,8 @@
 %prep
 %setup
 
+%{__perl} -pi.orig -e 's|/lib\b|/%{_lib}|g;' configure Makefile.in
+
 %{__cat} <<EOF >gtksql.desktop
 [Desktop Entry]
 Name=GtkSql SQL Client
@@ -77,6 +79,9 @@
 %exclude %{_prefix}/doc/
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 0.4.2-2
+- Fixed mysql support in x86_64 build. (Preet Khalsa)
+
 * Thu May 13 2004 Dag Wieers <dag at wieers.com> - 0.4.2-1
 - Updated to release 0.4.2.
 

Modified: trunk/rpms/libxml2/libxml2.spec
===================================================================
--- trunk/rpms/libxml2/libxml2.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/libxml2/libxml2.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -16,7 +16,7 @@
 Source: http://xmlsoft.org/sources/libxml2-%{version}.tar.gz
 #Source: http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.5/libxml2-%{version}.tar.bz2
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
-BuildRequires: gcc-c++, python
+BuildRequires: gcc-c++, python, python-devel
 
 %description
 This library allows to manipulate XML files. It includes support

Modified: trunk/rpms/ne/ne.spec
===================================================================
--- trunk/rpms/ne/ne.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/ne/ne.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -4,7 +4,7 @@
 
 Summary: Nice editor
 Name: ne
-Version: 1.40
+Version: 1.41
 Release: 1
 License: GPL
 Group: Applications/Editors
@@ -70,6 +70,9 @@
 %doc doc/*.html doc/*.pdf doc/*.ps doc/ne.txt
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 1.41-1
+- Updated to release 1.41.
+
 * Sat Jul 23 2005 Dag Wieers <dag at wieers.com> - 1.40-1
 - Updated to release 1.40.
 

Modified: trunk/rpms/op/op.spec
===================================================================
--- trunk/rpms/op/op.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/op/op.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -4,7 +4,7 @@
 
 Summary: Allows restricted root access for specified users
 Name: op
-Version: 1.30
+Version: 1.31
 Release: 1
 License: BSD
 Group: Applications/System
@@ -25,14 +25,6 @@
 %prep
 %setup
 
-### FIXME: Make buildsystem use standard autotools directories (Fix upstream please)
-%{__perl} -pi.orig -e '
-		s|\$\(BINDIR\)|\$(DESTDIR)\$(bindir)|;
-		s|\$\(MANDIR\)|\$(DESTDIR)\$(mandir)/man1|;
-		s|\$\(CONFDIR\)|\$(DESTDIR)\$(sysconfdir)/man1|;
-		s|-o \$\(\w+\) -g \$\(\w+\)||;
-	' Makefile
-
 %{__cat} <<'EOF' >op.conf
 ### This is the config file for the op tool.
 ### For more information about the syntax see manual page op(1)
@@ -100,13 +92,12 @@
 EOF
 
 %build
+%configure
 %{__make} %{?_smp_mflags}
 
 %install
 %{__rm} -rf %{buildroot}
-%{__make} install DESTDIR="%{buildroot}" \
-	bindir="%{_bindir}" \
-	mandir="%{_mandir}"
+%{__make} install DESTDIR="%{buildroot}"
 
 %{__install} -Dp -m0600 op.conf %{buildroot}%{_sysconfdir}/op.conf
 %{__install} -Dp -m0644 op.pam %{buildroot}%{_sysconfdir}/pam.d/op
@@ -125,6 +116,9 @@
 %{_bindir}/op
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 1.31-1
+- Updated to release 1.31.
+
 * Sat May 28 2005 Dag Wieers <dag at wieers.com> - 1.30-1
 - Updated to release 1.30.
 

Modified: trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec
===================================================================
--- trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -8,7 +8,7 @@
 
 Summary: Compress-Zlib module for perl
 Name: perl-Compress-Zlib
-Version: 1.34
+Version: 1.37
 Release: 1
 License: distributable
 Group: Applications/CPAN
@@ -49,6 +49,9 @@
 %{perl_vendorarch}/auto/Compress/
 
 %changelog
+* Mon Sep 05 2005 Dag Wieers <dag at wieers.com> - 1.37-1
+- Updated to release 1.37.
+
 * Thu Mar 10 2005 Dag Wieers <dag at wieers.com> - 1.34-1
 - Updated to release 1.34.
 

Modified: trunk/rpms/pfqueue/pfqueue.spec
===================================================================
--- trunk/rpms/pfqueue/pfqueue.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/pfqueue/pfqueue.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -3,7 +3,7 @@
 
 Summary: Queue manager for the Postfix mail transport agent
 Name: pfqueue
-Version: 0.4.2
+Version: 0.5.0
 Release: 1
 License: GPL
 Group: Applications/System
@@ -38,11 +38,14 @@
 %doc AUTHORS ChangeLog COPYING INSTALL NEWS README
 %doc %{_mandir}/man1/pfqueue.1*
 %{_bindir}/pfqueue
-%exclude %{_libdir}/libpfq_*.a
-%exclude %{_libdir}/libpfq_*.la
-%{_libdir}/libpfq_*.so*
+%exclude %{_libdir}/libpfq*.a
+%exclude %{_libdir}/libpfq*.la
+%{_libdir}/libpfq*.so*
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 0.5.0-1
+- Updated to release 0.5.0.
+
 * Mon Jul 11 2005 Dag Wieers <dag at wieers.com> - 0.4.2-1
 - Updated to release 0.4.2.
 

Modified: trunk/rpms/pv/pv.spec
===================================================================
--- trunk/rpms/pv/pv.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/pv/pv.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -4,7 +4,7 @@
 
 Summary: Monitor the progress of data through a pipe
 Name: pv
-Version: 0.9.1
+Version: 0.9.2
 Release: 1
 License: Artistic
 Group: Development/Tools
@@ -53,6 +53,9 @@
 %{_bindir}/pv
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 0.9.2-1
+- Updated to release 0.9.2.
+
 * Mon Jul 11 2005 Dag Wieers <dag at wieers.com> - 0.9.1-1
 - Updated to release 0.9.1.
 

Added: trunk/rpms/revelation/revelation-0.4.5-bonobo-ui.patch
===================================================================
--- trunk/rpms/revelation/revelation-0.4.5-bonobo-ui.patch	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/revelation/revelation-0.4.5-bonobo-ui.patch	2005-09-05 00:25:47 UTC (rev 3551)
@@ -0,0 +1,137 @@
+--- configure.orig	2005-08-25 13:44:51.000000000 +0200
++++ configure	2005-08-26 01:47:16.913924424 +0200
+@@ -3913,25 +3913,6 @@
+ 	fi
+ 
+ 
+-	echo "$as_me:$LINENO: checking python module bonobo.ui" >&5
+-echo $ECHO_N "checking python module bonobo.ui... $ECHO_C" >&6
+-
+-	$PYTHON -c "import bonobo.ui" 2>/dev/null
+-
+-	if test $? -eq 0; then
+-		echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-		eval HAVE_PYMOD_BONOBO_UI=yes
+-	else
+-		echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-		{ { echo "$as_me:$LINENO: error: failed to find module bonobo.ui" >&5
+-echo "$as_me: error: failed to find module bonobo.ui" >&2;}
+-   { (exit 1); exit 1; }; }
+-		exit 1
+-	fi
+-
+-
+ 	echo "$as_me:$LINENO: checking python module gconf" >&5
+ echo $ECHO_N "checking python module gconf... $ECHO_C" >&6
+ 
+@@ -3951,44 +3932,6 @@
+ 	fi
+ 
+ 
+-	echo "$as_me:$LINENO: checking python module gtk" >&5
+-echo $ECHO_N "checking python module gtk... $ECHO_C" >&6
+-
+-	$PYTHON -c "import gtk" 2>/dev/null
+-
+-	if test $? -eq 0; then
+-		echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-		eval HAVE_PYMOD_GTK=yes
+-	else
+-		echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-		{ { echo "$as_me:$LINENO: error: failed to find module gtk" >&5
+-echo "$as_me: error: failed to find module gtk" >&2;}
+-   { (exit 1); exit 1; }; }
+-		exit 1
+-	fi
+-
+-
+-	echo "$as_me:$LINENO: checking python module gtk.gdk" >&5
+-echo $ECHO_N "checking python module gtk.gdk... $ECHO_C" >&6
+-
+-	$PYTHON -c "import gtk.gdk" 2>/dev/null
+-
+-	if test $? -eq 0; then
+-		echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-		eval HAVE_PYMOD_GTK_GDK=yes
+-	else
+-		echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-		{ { echo "$as_me:$LINENO: error: failed to find module gtk.gdk" >&5
+-echo "$as_me: error: failed to find module gtk.gdk" >&2;}
+-   { (exit 1); exit 1; }; }
+-		exit 1
+-	fi
+-
+-
+ 	echo "$as_me:$LINENO: checking python module gnome" >&5
+ echo $ECHO_N "checking python module gnome... $ECHO_C" >&6
+ 
+@@ -4008,63 +3951,6 @@
+ 	fi
+ 
+ 
+-	echo "$as_me:$LINENO: checking python module gnome.applet" >&5
+-echo $ECHO_N "checking python module gnome.applet... $ECHO_C" >&6
+-
+-	$PYTHON -c "import gnome.applet" 2>/dev/null
+-
+-	if test $? -eq 0; then
+-		echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-		eval HAVE_PYMOD_GNOME_APPLET=yes
+-	else
+-		echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-		{ { echo "$as_me:$LINENO: error: failed to find module gnome.applet" >&5
+-echo "$as_me: error: failed to find module gnome.applet" >&2;}
+-   { (exit 1); exit 1; }; }
+-		exit 1
+-	fi
+-
+-
+-	echo "$as_me:$LINENO: checking python module gnome.ui" >&5
+-echo $ECHO_N "checking python module gnome.ui... $ECHO_C" >&6
+-
+-	$PYTHON -c "import gnome.ui" 2>/dev/null
+-
+-	if test $? -eq 0; then
+-		echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-		eval HAVE_PYMOD_GNOME_UI=yes
+-	else
+-		echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-		{ { echo "$as_me:$LINENO: error: failed to find module gnome.ui" >&5
+-echo "$as_me: error: failed to find module gnome.ui" >&2;}
+-   { (exit 1); exit 1; }; }
+-		exit 1
+-	fi
+-
+-
+-	echo "$as_me:$LINENO: checking python module gnome.vfs" >&5
+-echo $ECHO_N "checking python module gnome.vfs... $ECHO_C" >&6
+-
+-	$PYTHON -c "import gnome.vfs" 2>/dev/null
+-
+-	if test $? -eq 0; then
+-		echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-		eval HAVE_PYMOD_GNOME_VFS=yes
+-	else
+-		echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-		{ { echo "$as_me:$LINENO: error: failed to find module gnome.vfs" >&5
+-echo "$as_me: error: failed to find module gnome.vfs" >&2;}
+-   { (exit 1); exit 1; }; }
+-		exit 1
+-	fi
+-
+-
+ 	echo "$as_me:$LINENO: checking python module gobject" >&5
+ echo $ECHO_N "checking python module gobject... $ECHO_C" >&6
+ 

Modified: trunk/rpms/revelation/revelation.spec
===================================================================
--- trunk/rpms/revelation/revelation.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/revelation/revelation.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -7,28 +7,30 @@
 
 Summary: Graphical password manager
 Name: revelation
-Version: 0.4.4
+Version: 0.4.5
 Release: 1
 License: GPL
 Group: Applications/Productivity
 URL: http://oss.codepoet.no/revelation/
 
 Source: ftp://oss.codepoet.no/revelation/revelation-%{version}.tar.bz2
+Patch: revelation-0.4.5-bonobo-ui.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
-BuildRequires: python >= 2.3, python-crypto >= 1.9, python-devel, pygtk2 >= 2.4
-BuildRequires: gnome-keyring-devel, pygtk2-devel, gnome-python2
-BuildRequires: gtk2-devel, gnome-vfs2-devel, libgnomeui-devel
+BuildRequires: python >= 2.3, python-devel, python-crypto >= 1.9
+BuildRequires: gnome-keyring-devel, pygtk2-devel >= 2.4, gnome-python2
+BuildRequires: gnome-vfs2-devel, libgnomeui-devel, gnome-python2-bonobo
 Requires: python >= 2.3, pygtk2 >= 2.4, python-crypto >= 1.9
 Requires: gnome-python2-canvas, gnome-python2-gconf, gnome-python2-gnomevfs
-Requires: cracklib
+Requires: gnome-python2-bonobo, cracklib
 
 %description
 Revelation is a password manager. It organizes accounts in
 a tree structure, and stores them as AES-encrypted XML files.
 
 %prep
-%setup -n %{name}-%{version}
+%setup
+%patch
 
 %build
 %configure \
@@ -75,6 +77,9 @@
 %{_datadir}/icons/hicolor/*/apps/revelation-locked.png
 
 %changelog
+* Fri Aug 26 2005 Dag Wieers <dag at wieers.com> - 0.4.5-1
+- Updated to release 0.4.5.
+
 * Sun Aug 07 2005 Dag Wieers <dag at wieers.com> - 0.4.4-1
 - Updated to release 0.4.4.
 

Modified: trunk/rpms/rsnapshot/rsnapshot.spec
===================================================================
--- trunk/rpms/rsnapshot/rsnapshot.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/rsnapshot/rsnapshot.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -5,7 +5,7 @@
 
 Summary: Local and remote filesystem snapshot utility
 Name: rsnapshot
-Version: 1.2.2
+Version: 1.2.3
 Release: 1
 License: GPL
 Group: Applications/System
@@ -37,9 +37,8 @@
 
 %install
 %{__rm} -rf %{buildroot}
-#makeinstall
-%{__install} -Dp -m0755 rsnapshot %{buildroot}%{_bindir}/rsnapshot
-%{__install} -Dp -m0644 rsnapshot.1 %{buildroot}%{_mandir}/man1/rsnapshot.1
+%{__make} install DESTDIR="%{buildroot}"
+
 %{__install} -Dp -m0644 rsnapshot.conf.default %{buildroot}%{_sysconfdir}/rsnapshot.conf
 
 %post
@@ -67,9 +66,13 @@
 %doc rsnapshot.conf.default utils/
 %doc %{_mandir}/man1/rsnapshot.1*
 %config %{_sysconfdir}/rsnapshot.conf
+%exclude %{_sysconfdir}/rsnapshot.conf.default
 %{_bindir}/rsnapshot
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 1.2.3-1
+- Updated to release 1.2.3.
+
 * Sun Aug 21 2005 Dag Wieers <dag at wieers.com> - 1.2.2-1
 - Updated to release 1.2.2.
 

Modified: trunk/rpms/syslinux/syslinux.spec
===================================================================
--- trunk/rpms/syslinux/syslinux.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/syslinux/syslinux.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -8,7 +8,7 @@
 
 Summary: Kernel bootloader for FAT or ISO9660 filesystems or PXE networks
 Name: syslinux
-Version: 3.09
+Version: 3.11
 Release: 1
 License: GPL
 Group: Applications/System
@@ -67,6 +67,12 @@
 #%{_includedir}/syslinux.h
 
 %changelog
+* Sun Sep 04 2005 Dag Wieers <dag at wieers.com> - 3.11-1
+- Updated to release 3.11.
+
+* Fri Aug 26 2005 Dag Wieers <dag at wieers.com> - 3.10-1
+- Updated to release 3.10.
+
 * Mon Jul 11 2005 Dag Wieers <dag at wieers.com> - 3.09-1
 - Updated to release 3.09.
 

Modified: trunk/rpms/vorbisgain/vorbisgain.spec
===================================================================
--- trunk/rpms/vorbisgain/vorbisgain.spec	2005-09-04 23:46:52 UTC (rev 3550)
+++ trunk/rpms/vorbisgain/vorbisgain.spec	2005-09-05 00:25:47 UTC (rev 3551)
@@ -4,12 +4,13 @@
 Summary: Lossless volume-adjusting utility for Ogg Vorbis files
 Name: vorbisgain
 Version: 0.36
-Release: 1
+Release: 2
 License: LGPL
 Group: Applications/Multimedia
 URL: http://sjeng.org/vorbisgain.html
 
 Source: http://sjeng.org/ftp/vorbis/vorbisgain-%{version}.zip
+Patch: vorbisgain-0.36-double-fclose.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 BuildRequires: libogg, libogg-devel, libvorbis, libvorbis-devel
@@ -31,6 +32,7 @@
 
 %prep
 %setup
+%patch -p1
 
 %build
 %configure
@@ -50,5 +52,8 @@
 %{_bindir}/vorbisgain
 
 %changelog
+* Sat Sep 03 2005 Dag Wieers <dag at wieers.com> - 0.3.6-2
+- Added patch fo a double free condition. (Noa Resare)
+
 * Wed Jul 20 2005 Dag Wieers <dag at wieers.com> - 0.3.6-1
 - Updated to release 0.3.6.




More information about the commits mailing list